---
title: "E14 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/E14"
canonical_url: "https://regulex.uk/directory/postcode/E14"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area E14. Monitoring 195 accountancy practices and 96,748 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/E14](https://regulex.uk/directory/postcode/E14)
>
> *Statutory compliance registry for postal area E14. Monitoring 195 accountancy practices and 96,748 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in E14

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [ABM DIGITAL ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=14013458) CRN: 14013458 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14013458) |
| 2 | [ACCOUNT TECH LIMITED](https://regulex.uk/practice/dashboard?crn=08187693) CRN: 08187693 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08187693) |
| 3 | [ACCOUNTABLE ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=12135793) CRN: 12135793 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12135793) |
| 4 | [ARTIFIN ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=07430682) CRN: 07430682 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07430682) |
| 5 | [ARTIFIN LIMITED](https://regulex.uk/practice/dashboard?crn=07355031) CRN: 07355031 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07355031) |
| 6 | [BRITANNIA BUSINESS GROUP LIMITED](https://regulex.uk/practice/dashboard?crn=12110641) CRN: 12110641 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12110641) |
| 7 | [CONILSTONE LTD](https://regulex.uk/practice/dashboard?crn=16619637) CRN: 16619637 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16619637) |
| 8 | [EARL AND GREY ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=07970018) CRN: 07970018 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07970018) |
| 9 | [EMA CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=15145648) CRN: 15145648 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15145648) |
| 10 | [FINANCE FELLAS LTD](https://regulex.uk/practice/dashboard?crn=15355247) CRN: 15355247 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15355247) |
| 11 | [FINTAX ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=06272948) CRN: 06272948 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06272948) |
| 12 | [GOOD ACCOUNTANT LTD](https://regulex.uk/practice/dashboard?crn=13437827) CRN: 13437827 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13437827) |
| 13 | [IBI LEADERS LTD](https://regulex.uk/practice/dashboard?crn=12110677) CRN: 12110677 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12110677) |
| 14 | [MINTIERS FINANCIAL LTD](https://regulex.uk/practice/dashboard?crn=11124185) CRN: 11124185 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11124185) |
| 15 | [MMAST ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=16636993) CRN: 16636993 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16636993) |
| 16 | [OM ACCOUNTANCY SERVICES LTD](https://regulex.uk/practice/dashboard?crn=15777215) CRN: 15777215 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15777215) |
| 17 | [PAJ UMBRELLA LIMITED](https://regulex.uk/practice/dashboard?crn=11901906) CRN: 11901906 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11901906) |
| 18 | [REAL BUSINESS SERVICES LTD](https://regulex.uk/practice/dashboard?crn=13725368) CRN: 13725368 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13725368) |
| 19 | [STAR ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=07980422) CRN: 07980422 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07980422) |
| 20 | [TW ACCOUNTS LIMITED](https://regulex.uk/practice/dashboard?crn=09795714) CRN: 09795714 • E14 8PX | 1541 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09795714) |
| 21 | [CONNAUGHT BUSINESS AND ACCOUNTANCY SERVICE LIMITED](https://regulex.uk/practice/dashboard?crn=10696988) CRN: 10696988 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10696988) |
| 22 | [AA ACCESS CONSULT LTD](https://regulex.uk/practice/dashboard?crn=04764644) CRN: 04764644 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04764644) |
| 23 | [AASA CAPITAL LIMITED](https://regulex.uk/practice/dashboard?crn=07796804) CRN: 07796804 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07796804) |
| 24 | [ALTERNATIVE CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=16341237) CRN: 16341237 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16341237) |
| 25 | [BEST4BUSINESS ACCOUNTANTS & COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=04331988) CRN: 04331988 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04331988) |
| 26 | [BROOKS LAWFORD ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=12289292) CRN: 12289292 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12289292) |
| 27 | [CONSULT AND TRANSFORM LTD](https://regulex.uk/practice/dashboard?crn=16280601) CRN: 16280601 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16280601) |
| 28 | [DEO VOLENTE HOLDINGS LTD](https://regulex.uk/practice/dashboard?crn=11629250) CRN: 11629250 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11629250) |
| 29 | [E1 ADVISORY LIMITED](https://regulex.uk/practice/dashboard?crn=15168760) CRN: 15168760 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15168760) |
| 30 | [TWIGGED IT LTD](https://regulex.uk/practice/dashboard?crn=15382013) CRN: 15382013 • E14 9XL | 1351 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15382013) |
| 31 | [BALANCE BOOKS LTD.](https://regulex.uk/practice/dashboard?crn=03290650) CRN: 03290650 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03290650) |
| 32 | [CITRUS GROUP (U.K) LIMITED](https://regulex.uk/practice/dashboard?crn=13683131) CRN: 13683131 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13683131) |
| 33 | [CITRUS GROUP GLOBAL RANSOF LIMITED](https://regulex.uk/practice/dashboard?crn=15659234) CRN: 15659234 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15659234) |
| 34 | [CITRUS GROUP GLOBAL LIMITED](https://regulex.uk/practice/dashboard?crn=15659060) CRN: 15659060 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15659060) |
| 35 | [HGA ACCOUNTANTS & FINANCIAL CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=06159355) CRN: 06159355 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06159355) |
| 36 | [HGA CITRUS LIMITED](https://regulex.uk/practice/dashboard?crn=16570375) CRN: 16570375 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16570375) |
| 37 | [LEONARD FINN & CO. SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=01731822) CRN: 01731822 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=01731822) |
| 38 | [PERLIN FRANCO LIMITED](https://regulex.uk/practice/dashboard?crn=07270285) CRN: 07270285 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07270285) |
| 39 | [TEN FORWARD ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=13282816) CRN: 13282816 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13282816) |
| 40 | [ZELAH SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=14103873) CRN: 14103873 • E14 9NN | 1326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14103873) |
| 41 | [ABR TAMWIL LIMITED](https://regulex.uk/practice/dashboard?crn=13333479) CRN: 13333479 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13333479) |
| 42 | [ACCOUNTANTS4FREELANCERS LIMITED](https://regulex.uk/practice/dashboard?crn=06354228) CRN: 06354228 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06354228) |
| 43 | [ACCOUNTANTS4SMALLBUSINESS LIMITED](https://regulex.uk/practice/dashboard?crn=12854877) CRN: 12854877 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12854877) |
| 44 | [ARTHUR ASHE CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=09271984) CRN: 09271984 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09271984) |
| 45 | [BUY TO LET ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=07717054) CRN: 07717054 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07717054) |
| 46 | [COSTY CONSULTANCY LTD](https://regulex.uk/practice/dashboard?crn=15253182) CRN: 15253182 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15253182) |
| 47 | [DIGITAL TAX BUREAU LIMITED](https://regulex.uk/practice/dashboard?crn=13631542) CRN: 13631542 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13631542) |
| 48 | [JPP ADVISORY LIMITED](https://regulex.uk/practice/dashboard?crn=10096003) CRN: 10096003 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10096003) |
| 49 | [LCS ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=14889217) CRN: 14889217 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14889217) |
| 50 | [LONDONACCOUNTANCY.CO.UK ENTERPRISE LIMITED](https://regulex.uk/practice/dashboard?crn=14264432) CRN: 14264432 • E14 5AA | 921 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14264432) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/E14](https://regulex.uk/directory/postcode/E14).
